Tag Archiv: обновление

Обновление LibreOffice до ветки 4.х в Ubuntu 12.10

Снимок экрана - 08.03.2013 - 14:31:02

Прошел уже месяц с момента анонса новой ветки LibreOffice 4.0. Список обновлений есть на сайте, поэтому я не буду на нем останавливаться.

За это время были выпущены корректирующие релизы, поэтому пришло время обновить офисный пакет.

(more…)

Обновление Xubuntu (Ubuntu) до версии 11.10 beta 2 Oneiric Ocelot

 Иллюстрация с сайта depotlinux.wordpress.com
Как и в прошлый раз, я, не дожидаясь выхода окончательного релиза очередной версии Ubuntu, решил  протестировать Ubuntu 11.10 beta 2. Но в этот раз я воспользовался обновлением, а не установкой системы с нуля. (Как проходило обновление до версии 11.04 вы можете вспомнить здесь.
В сети уже имеется определенное число обзоров изменений в Ubuntu c интерфейсом по умолчанию (Unity), поэтому, учитывая, что являюсь поклонником XFCE, я сосредоточу своё внимание на изменениях, которые я заметил в Xubuntu.
Для тех, кто еще не знает, как инициировать обновление, напомню команду

update-manager -d

Как обычно, при запуске обновления, было выведено предупреждение о количестве заменяемых/удаляемых/добавляемых пакетов:
Отмечу, что большинство удаляемых пакетов и тех, поддержка которых больше не производится, связано с Gnome 2: основные файлы, апплеты, gdebi, gconf-editor  и т.п.
После установки
По завершению обновления мне было предложено перезагрузиться, что я и сделал.  Хотя в Ubuntu 11.10  по умолчанию используется в качестве менеджера входа  lightdm вместо gdm и kdm, смена моего kdm (да, я не ошибся — о причинах использования именно kdm в 11.04 расскажу чуть ниже) на lightdm не произошла. Возможно, причиной этому послужило наличие lightdm у меня в системе (я использовал нестабильную версию из ppa, которая после обновления с 0.4.х до 0.9.х работать перестала). Поэтому я воспользовался следующей командой и переустановил рекомендуемый в Ubuntu 11.10 lightdm (уже версии 1.0.1)
sudo aptitude reinstall lightdm
Сразу скажу, что lightdm 1.0.1 вполне работоспособность (и уже сильно напоминает gdm внешне), однако, в моей системе «монитор+ТВ» он, как и ранее (и как gdm) упрямо выводит окно логина на телевизор (безошибочно выводил окно для логина лишь kdm — вот причина его использования мною в прошлом в сочетании с xfce). Однако, не составляет труда выбрать логин и пароль «вслепую», так что пока я остался с новым lightdm.
Возвращаясь к первому впечатлению, хочу отметить, что произошли едва заметные (но при этом ощущаемые) изменения в прорисовке шрифтов, пиктограмм, элементов оформления: цвета стали насыщеннее, ряд программ изменил свои значки (например, terminal; значок  skype оброс «ушками» и стал напоминать своего собрата из Windows), так же изменилось оформление отдельных графических элементов системы; тот же skype изменил шрифт для контакт-листа.  При этом, сам XFCE остался такой же версии (4.8), как и в Ubuntu 11.04.
Изменения в составе пакетов
Как уже было сказано выше, при обновлении до  11.10 было удалено много пакетов, связанный с Gnome 2. Однако этим список не ограничился. Пожалуй, наиболее удивило меня удаление интернет-мессенджера Pidgin. Следует отметить, что после повторной установки из репозитория Pidgin заработал как и раньше: ни конфликтов, ни зависимости от значительного количества пакетов, замечено не было.
Частично пострадал и торрент-клиент Deluge: был оставлен лишь пакет deluge-gtk, тогда как «классическое» ядро deluge (справедливости ради, стоит отметить, тянувшее за собой еще целый ряд пакетов) было удалено. Эта проблема также решилась ручной установкой.
Отказ от Gnome 2 привел к отказу от апплетов Gnome и, соответственно, ранее используемому пакету для поддержки апплетов Gnome в XFCE  — xfce4-xfapplet-plugin (более не доступен в репозиториях). Несколько огорчила невозможность использовать по этой причине привычный и удобный регулятор громкости с миксером из Gnome с комфортным переключением устройств. xfce4-mixer  меня ну никак не устраивал. Но альтернатива нашлась, стоило вспомнить о такой утилите, как pavucontrol:
 Замена xfce4-mixer на pavucontrol решило проблему.
Есть и весьма приятные изменения в ситуации с пакетами: так, pidgin вновь полноценно отображает значки со статусом на панели (о проблеме в 11.04 читайте здесь), а gCDEmu теперь стал отдельным GTK-приложением,  а не апплетом Gnome, как ранее, и вновь работает корректно в Xubuntu.
В Xubuntu 11.10 теперь по умолчанию используется текстовый редактор leafpad (который заметно улучшился в последнее время, и напомним, ранее считался стандартным редактором для среды LXDE в Lubuntu) вместо mousepad ранее; установился при обновлении, но mousepad удален не был.
Кроме того, были установлены рекомендуемые для Xubuntu пакеты, которыми я не пользовался и удалял после установки 11.04, среди которых, например, плееры gmusicbrowser и Parole. Эти «чужаки» были нещадно мною удалены при обнаружении.
Бета удалась
К Beta 2 Ubuntu 11.10 в этот раз у меня нареканий меньше, чем к аналогичной beta 2 версии полгода назад у Ubuntu 11.04. За сутки работы я не нашел полностью неработоспособных приложений, кроме, пожалуй, «Источников приложений» (software-properties-gtk), который выдавал ошибку при попытке внести изменения в список репозиториев, однако разработчикам о проблеме известно, и не возникает сомнений, что к финальному релизу она будет исправлена. Пару-тройке раз появлялись сообщения о сбоях приложений (в Opera и  Firefox при перехвате файлов сторонними программами, однако к прерыванию работы браузеров это не приводило (возможно, «ложная тревога»), и один раз «вылетел» Pidgin при настройке стороннего плагина, что можно считать несущественным для бета-версии.
Ну и как всегда при выходе новой версии, пользователи, которые привыкли использовать сторонние PPA, сталкиваются с тем, что пакеты для oneiric во многих PPA пока отсутствуют. Однако, учитывая то, что в системе уже и так содержатся практически самые новые версии пакетов, и что в большинстве случаев можно «представиться» предыдущей версией, это проблемой считать нельзя. Да и как показывает практика, примерно в течение месяца, пакеты для нового дистрибутива появляются практически во всех обновляемых авторами PPA. Повторю, что обнаружить нерабочие пакеты из старых PPA (как в случае с CDEmu при обновлении с 10.10 на 11.04) в этот раз  мне не удалось.
Вместо послесловия
Canonical уверенно движется своим путём, но  на небольшом удалении от «дорог» других Linux-дистрибутивов. И всё же окончательный отказ от Gnome 2, использование lightdm, Unity (от которого часть пользователей в ужасе, а другая — в восторге) и озвученные планы на будущее (например, замена X-server на Wayland) подтверждает наличие собственного видения будущего Linux компанией.
А для поклонников классического Gnome предлагаю небольшой «trick», который мне встретился на просторах Интернет по установке Gnome 2 в Ubuntu 11.10
sudo apt-get install gnome-session-fallback

После инсталляции этого пакета вход в Gnome 2  по пункту Gnome classic ввыборе сессий 😉

Сбой видео при обновлении Ubuntu для видеокарт ATI с проприетарным драйвером

 После автоматического обновления Ubuntu 10.04.1 до ядра 2.6.32-26 обнаружил, что в системе после перезагрузки не может инициализироваться видео.
В этой ситуации помогла загрузка с предыдущим ядром и обновление проприетарных драйверов ATI до версии 10.10.
Напоминаю, что свежие драйверы можно скачать здесь.

Заканчивается срок поддержки Ubuntu 9.04 (Jaunty Jackalope)

Через месяц, 23 октября, истекает 18-месячный срок поддержки Ubuntu 9.04 (Jaunty Jackalope). Существующим пользователям предлагается обновиться до версии 10.04.1 LTS (через промежуточное обновление до 9.10). Сообщение об этом опубликовал Робби Уилльямсон.

Для обновление достаточно выполнить команду

sudo aptitude dist-upgrade

но прежде желательно удостовериться, что необходимое аппаратное обеспечение поддерживается новой версией Ubuntu. Так, например, модемы на ноутбуках Dell все еще не работают в Ubuntu 10.04.
Следует отметить, что до сих пор в продаже присутствуют компьютеры (ноутбуки) как с  Ubuntu 9.04, так и с 8.10.

Решение проблемы отображения русских имен на съемных дисках (флешках) в XFCE в Ubuntu 10.04

После обновления Ubuntu 9.10 до версии 10.04 в среде XFCE проявилась проблема с отображением русских букв при подключении флеш-накопителей с файловой системой FAT, что заключалось в том, что вместо русских букв отображались знаки «?????».
Решить проблему можно, добавив строку 
 utf8=true

в секцию  [vfat] файла /etc/xdg/xfce4/mount.rc

Отредактировать файл можно, например, так:

sudo gedit /etc/xdg/xfce4/mount.rc